Share this page

# General > Script recording options

Enables you to set the script generation preferences by setting the scripting language and options.

To access: Record > Recording Options > General > Script

User interface elements are described below:

UI Element | Description
--- | ---
Scripting Language | Select the language in which to generate the Vuser script, C or JavaScript. The default is C. Note: This option is available for Web - HTTP/HTML Vuser scripts only.
Add a comment for each action | Insert informative logging messages before each message invocation (non-C only). Default value: enabled.
Close all AUT processes when recording stops | Automatically closes all of the AUTs (Application Under Test) processes when VuGen stops recording. Default value: disabled.
Correlate arrays | Tracks and correlates arrays of all data types, such as string, structures, and numbers. Default value: enabled.
Correlate large numbers | Correlates long data types such as integers, long integers, 64-bit characters, float, and double. Default value: disabled.
Correlate simple strings | Correlates simple, non-array strings and phrases. Default value: disabled.
Correlate small numbers | Correlates short data types such as bytes, characters, and short integers. Default value: disabled.
Correlate structures | Tracks and correlates complex structures. Default value: enabled.
Declare primitives as locals | Declares primitive value variables as local variables rather than class variables (C, C#, and .NET only). Default value: enabled.
Explicit variant declaration | Declares variant types explicitly in order to handle ByRef variants (Visual Basic for Applications only). Default value: enabled.
Generate fixed think time after end transaction | Adds a fixed think time, in seconds, after the end of each transaction. When you enable this option, you can specify a value for the think time. Default value: disabled, 3 seconds when enabled.
Generate recorded events log | Generates a log of all events that took place during recording. Default value: disabled.
Generate think time greater than threshold | Uses a threshold value for think time. If the recorded think time is less than the threshold, VuGen does not generate a think time statement. You also specify the threshold value. If the think time is less than 3 seconds, VuGen does not generate think time statements. If you disable this option, VuGen will not generate any think time. Default value: enabled, 3 seconds.
Insert output parameters values | Inserts output parameter values after each call (C, C#, and .NET only). Default value: disabled.
Insert post-invocation info | Insert informative logging messages after each message invocation (non-C only). Default value: enabled.
Maximum number of lines in action file | Create a new file if the number of lines in the action exceeds the specified threshold. The default threshold is 60000 lines (C, C#, and .NET only). Default value: disabled.
Replace long strings with parameter | Save strings exceeding the maximum length to a parameter. This option has an initial maximum length of 100 characters. The parameters and the complete strings are stored in the lr_strings.h file in the script's folder in the following format: const char <paramName_uniqueID> ="string". This option allows you to have a more readable script. It does not effect the performance of the script. Default value: enabled.
Reuse variables for primitive return values | Reuse the same variables for primitives received from method calls. This overrides the Declare primitives as locals setting. Default value: enabled.
Track processes created as COM local servers | Track the activity of the recorded application if one of its sub-processes was created as a COM local server (C and COM only). Default value: enabled.
Use full type names | Use the full type name when declaring a new variable (C# and .NET only). Default value: disabled.
Use helpers for arrays | Use helper functions to extract components in variant arrays (Java and VB Scripting only). Default value: disabled.
Use helpers for objects | Use helper functions to extract object references from variants when passed as function arguments (Java and VB Scripting only). Default value: disabled.
Use protected application recording | Use this option if VuGen is unable to record your application. Your application may block access to VuGen, and recording with this option selected may enable access. Default value: disabled.
Warn me if the application being recorded encounters an error | Selecting this option enables VuGen to prompt you to cancel the recording if the recorded application crashes or if no events are recorded for 3 minutes. If you choose to cancel the recording, no script is generated. In proxy mode, if the recorded application crashes, there is no error message. Instead, a no-events error is displayed after 3 minutes. Default value: enabled. Note: This option is only available for Web - HTTP/HTML Vuser scripts.

Back to top

See also:

- Protocol compatibility table

https://admhelp.microfocus.com VuGen,Professional Performance Engineering,Performance Engineering for Developers 8942
Tips to improve your search results... OpenText™ Virtual User Generator Help Center OpenText™ VuGen Help 25.1-25.3 All View Local Help Center View Online Help Center Version: